Subject: Length of checksum in IKEv2 encrypted payload?

From: Geoffrey Huang <[email-masked]>
Date: Mon, 09 Feb 2004 15:55:30 -0800

Hi there,

First, apologies if this has already been discussed - I haven't been following 
this list closely lately, and I couldn't find anything in the archives.

Section 3.14 of the IKEv2 draft describes the encrypted payload, showing the 
last field of the payload to be the integrity checksum.  The text doesn't 
describe how long the field is.  From the diagram, it looks variable, but there 
is no length field describing the value.  Is this an oversight?

-g